# ARBDebugOutputCallback.Handler (LWJGL API)
Date: 2015-07-28

## org.lwjgl.opengl
Interface ARBDebugOutputCallback.Handler

Enclosing class:
  ARBDebugOutputCallback

    public static interface ARBDebugOutputCallback.Handler

Implementations of this interface can be used to receive ARB_debug_output notifications.

Method Summary
`void` `handleMessage(int source, int type, int id, int severity, java.lang.String message)` This method will be called when an ARB_debug_output message is generated.

Method Detail

### handleMessage

    void handleMessage(int source,
                       int type,
                       int id,
                       int severity,
                       java.lang.String message)

  This method will be called when an ARB_debug_output message is generated.

  Parameters:
    `source` - the message source
    `type` - the message type
    `id` - the message ID
    `severity` - the message severity
    `message` - the string representation of the message.

Copyright © 2002-2009 lwjgl.org. All Rights Reserved.